Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src * Fix a quoting error so that when using -n, we actually see



details:   https://anonhg.NetBSD.org/src/rev/b208169485f5
branches:  trunk
changeset: 517234:b208169485f5
user:      thorpej <thorpej%NetBSD.org@localhost>
date:      Fri Nov 09 04:14:17 2001 +0000

description:
* Fix a quoting error so that when using -n, we actually see
  $TOOLDIR and $DESTDIR in their expanded form.
* Set USETOOLS=yes in the make wrapper script; it's pretty pointless
  using the make wrapper unless you're using the host tools.
* In the -t case, make sure to only echo the "make obj" command if -n.

diffstat:

 build.sh |  11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

diffs (46 lines):

diff -r cc235f130b1d -r b208169485f5 build.sh
--- a/build.sh  Fri Nov 09 03:31:37 2001 +0000
+++ b/build.sh  Fri Nov 09 04:14:17 2001 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-#  $NetBSD: build.sh,v 1.19 2001/11/05 02:17:47 dillo Exp $
+#  $NetBSD: build.sh,v 1.20 2001/11/09 04:14:17 thorpej Exp $
 #
 # Top level build wrapper, for a system containing no tools.
 #
@@ -245,8 +245,8 @@
 
 # Find DESTDIR and TOOLDIR.
 if [ "$runcmd" = "echo" ]; then
-       DESTDIR='$DESTDIR'
-       TOOLDIR='$TOOLDIR'
+       DESTDIR="$DESTDIR"
+       TOOLDIR="$TOOLDIR"
 else
        DESTDIR=`getmakevar DESTDIR`; echo "===> DESTDIR path: $DESTDIR"
        TOOLDIR=`getmakevar TOOLDIR`; echo "===> TOOLDIR path: $TOOLDIR"
@@ -309,13 +309,14 @@
        eval cat <<EOF $makewrapout
 #! /bin/sh
 # Set proper variables to allow easy "make" building of a NetBSD subtree.
-# Generated from:  \$NetBSD: build.sh,v 1.19 2001/11/05 02:17:47 dillo Exp $
+# Generated from:  \$NetBSD: build.sh,v 1.20 2001/11/09 04:14:17 thorpej Exp $
 #
 
 EOF
        for f in $makeenv; do
                eval echo "$f=\'\$`echo $f`\'\;\ export\ $f" $makewrapout
        done
+       eval echo "USETOOLS=yes\; export USETOOLS" $makewrapout
 
        eval cat <<EOF $makewrapout
 
@@ -329,7 +330,7 @@
        ${runcmd-exec} $makewrapper $buildtarget
 elif $do_buildonlytools; then
        if [ "$MKOBJDIRS" != "no" ]; then
-               $makewrapper obj-tools || exit 1
+               $runcmd $makewrapper obj-tools || exit 1
        fi
        $runcmd cd tools
        ${runcmd-exec} $makewrapper MKTOOLS=always build



Home | Main Index | Thread Index | Old Index